GLUT-2.4.0.0: A binding for the OpenGL Utility Toolkit

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de
Safe Haskell | None

Graphics.UI.GLUT.Callbacks.Registration

Description

# Documentation

data CallbackType

Constructors

DisplayCB |
OverlayDisplayCB |
ReshapeCB |
KeyboardCB |
KeyboardUpCB |
MouseCB |
MotionCB |
PassiveMotionCB |
CrossingCB |
VisibilityCB |
WindowStatusCB |
SpecialCB |
SpecialUpCB |
SpaceballMotionCB |
SpaceballRotateCB |
SpaceballButtonCB |
ButtonBoxCB |
DialsCB |
TabletMotionCB |
TabletButtonCB |
JoystickCB |
MenuStatusCB |
IdleCB |
CloseCB |
MouseWheelCB |

Instances

Eq CallbackType |
Ord CallbackType |

registerForCleanup :: FunPtr a -> IO ()

setCallback :: CallbackType -> (FunPtr a -> IO ()) -> (b -> IO (FunPtr a)) -> Maybe b -> IO ()

getCurrentWindow :: String -> IO Window